<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>JDBCMock.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pm.bibicletario.bicicleta</a> &gt; <a href="index.source.html" class="el_package">pm.api.project.bicicleta</a> &gt; <span class="el_source">JDBCMock.java</span></div><h1>JDBCMock.java</h1><pre class="source lang-java linenums">package pm.api.project.bicicleta;

/**
 * JDBC Fake
 */
<span class="fc" id="L6">public class JDBCMock {</span>
/** lista de bicicletas */

    public Bicicleta getData(String id, String table) {

<span class="fc" id="L11">        return new Bicicleta(id, 1234, false);</span>
    }

    public Boolean updateData(String id, String table, Object obj) {
<span class="fc" id="L15">        return true;</span>
    }

    public Boolean deleteData(String id, String table) {
<span class="fc" id="L19">        return true;</span>
    }
    
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>